<?php

/** @var \Laravel\Lumen\Routing\Router $router */

use App\Modules\Machupicchu\Domain\Availability\MachupicchuAvailabilityRepository;
use App\Modules\Machupicchu\Infraestructure\GuzzleMachupicchuAvailabilityRepository;

$router->get(
    '/machupicchuAvailability',
    [
        'middleware' => 'LockDomain',
        'uses' => 'Machupicchu\\MachupicchuAvailabilityListController@__invoke'
    ]
);


$app->bind(
    MachupicchuAvailabilityRepository::class,
    fn($app) => $app->make(GuzzleMachupicchuAvailabilityRepository::class)
);
